uniform vec3 lightPosition;
uniform vec3 color;
varying vec3 interpolatedPosition;
varying vec3 interpolatedNormal;
uniform sampler2D reflectionTexture;

void main() {
    vec3 viewerPosition = vec3(0.0); // Camera space

    // Same as in the previous shader:
    // -Find the n, l, v and r vectors in camera space
    // -Find the vec3 color via Phong (or Blinn, but then you need the half-angle vector h)

    // Then use the screenUv (calculate from the gl_FragCoord) to find the correct coordinates for sampling the reflectionTexture
    // Mix together the color and the reflection sample. For example with coefficients 0.9 and 0.1, respectively.

    vec3 color = vec3(0.5); // Remove this line

    gl_FragColor = vec4(color, 1.0);
}